Index: dlls/ntdll/virtual.c
--- dlls/ntdll/virtual.c.orig	2005-09-26 11:57:38 +0200
+++ dlls/ntdll/virtual.c	2005-10-27 10:21:46 +0200
@@ -118,6 +118,12 @@
 /* Note: these are Windows limits, you cannot change them. */
 # define ADDRESS_SPACE_LIMIT  ((void *)0xc0000000)  /* top of the total available address space */
 # define USER_SPACE_LIMIT     ((void *)0x80000000)  /* top of the user address space */
+# ifdef __FreeBSD__
+#  define LOW_SPACE_LIMIT     ((void *)0x110000)   /* lower address space limit */
+# else
+#  define LOW_SPACE_LIMIT     NULL
+# endif
+
 #else
 static UINT page_shift;
 static UINT page_size;
@@ -619,7 +625,7 @@
 
         for (;;)
         {
-            if ((ptr = wine_anon_mmap( NULL, view_size, VIRTUAL_GetUnixProt(vprot), 0 )) == (void *)-1)
+            if ((ptr = wine_anon_mmap( LOW_SPACE_LIMIT, view_size, VIRTUAL_GetUnixProt(vprot), 0 )) == (void *)-1)
             {
                 if (errno == ENOMEM) return STATUS_NO_MEMORY;
                 return STATUS_INVALID_PARAMETER;
Index: programs/Makefile.in
--- programs/Makefile.in.orig	2005-07-12 22:41:52 +0200
+++ programs/Makefile.in	2005-10-27 10:21:46 +0200
@@ -33,7 +33,6 @@
 	winemenubuilder \
 	winemine \
 	winepath \
-	winetest \
 	winevdm \
 	winhelp \
 	winver
@@ -65,7 +64,6 @@
 	winemenubuilder \
 	winemine \
 	winepath \
-	winetest \
 	winevdm \
 	winhelp \
 	winver
@@ -120,7 +118,6 @@
 	winemenubuilder.exe$(DLLEXT) \
 	winemine.exe$(DLLEXT) \
 	winepath.exe$(DLLEXT) \
-	winetest.exe$(DLLEXT) \
 	winevdm.exe$(DLLEXT) \
 	winhelp.exe$(DLLEXT) \
 	winver.exe$(DLLEXT)
Index: include/winternl.h
--- include/winternl.h.orig	2005-11-07 12:14:45 +0100
+++ include/winternl.h	2005-11-12 20:05:19 +0100
@@ -22,6 +22,7 @@
 #define __WINE_WINTERNL_H
 
 #include <windef.h>
+#include <stdarg.h>
 
 #ifdef __cplusplus
 extern "C" {
